commit:     5dcaeba29ca57b80d4274fa9b5e4dc15b32f90f0
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 08:12:58 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 09:26:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5dcaeba2

net-misc/whatportis: New package, ebuild written by me

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 net-misc/whatportis/Manifest              |  1 +
 net-misc/whatportis/metadata.xml          | 15 ++++++++++++++
 net-misc/whatportis/whatportis-0.2.ebuild | 33 +++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/net-misc/whatportis/Manifest b/net-misc/whatportis/Manifest
new file mode 100644
index 0000000..7315bb5
--- /dev/null
+++ b/net-misc/whatportis/Manifest
@@ -0,0 +1 @@
+DIST whatportis-0.2.tar.gz 256884 SHA256 
08735b4e1898cf64880ee2c08a5da74b3b81d65c44a67b44440fbe305012c8ec SHA512 
5e28b7bc19fcf939ef61af3225cac314cdc0a02ba941663310ea4881fed6f23926b5fd5198295085e19acf0f856de1351d03308ddbaa02bea1e7fed372e3c13d
 WHIRLPOOL 
c81fb346e274269c7527b061bc5b6da01f988425746fb1b1c3414b9b88ea9ded70a674cfa7757af41229a1597687361b4b59512b4c853739d3d45058b448ca14

diff --git a/net-misc/whatportis/metadata.xml b/net-misc/whatportis/metadata.xml
new file mode 100644
index 0000000..8cc8842
--- /dev/null
+++ b/net-misc/whatportis/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Python</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">whatportis</remote-id>
+    <maintainer status="unknown">
+      <email>[email protected]</email>
+      <name>Nicolas Crocfer</name>
+    </maintainer>
+  </upstream>
+</pkgmetadata>

diff --git a/net-misc/whatportis/whatportis-0.2.ebuild 
b/net-misc/whatportis/whatportis-0.2.ebuild
new file mode 100644
index 0000000..f6cbc89
--- /dev/null
+++ b/net-misc/whatportis/whatportis-0.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A command to search port names and numbers"
+HOMEPAGE="http://github.com/ncrocfer/whatportis 
http://pypi.python.org/pypi/whatportis";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+#https://github.com/ncrocfer/whatportis/issues/2
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/click-6.2[${PYTHON_USEDEP}]
+       >=dev-python/prettytable-0.7.2[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# https://github.com/ncrocfer/whatportis/issues/1
+RESTRICT="test"
+
+python_test() {
+       "${EPYTHON}" test_${PN}.py || die
+}

Reply via email to